DRM_DP_MST_HPD_IRQ(9)

NAME
drm_dp_mst_hpd_irq - MST hotplug IRQ notify

SYNOPSIS

int drm_dp_mst_hpd_irq(struct drm_dp_mst_topology_mgr * mgr, u8 * esi, bool * handled);

ARGUMENTS

mgr
    manager to notify irq for.

esi
    4 bytes from SINK_COUNT_ESI

handled
    whether the hpd interrupt was consumed or not

DESCRIPTION

This should be called from the driver when it detects a short IRQ, along with the value of the DEVICE_SERVICE_IRQ_VECTOR_ESI0. The topology manager will process the sideband messages received as a result of this.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT